/* VARIABLEN */

:root {
    --text-light: #ffffff;
    --text-dark: #000000;

    --color-main: #f9cbcc;
    --color-accent: #d61217;
    
    --color-light: #ffffff;
    --color-dark: #000000;
}


/* SCHRIFTARTEN */

@font-face {
    font-family: 'Poppins';
    font-weight: 100;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Thin.ttf);
 }

@font-face {
    font-family: 'Poppins';
    font-weight: 200;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-ExtraLight.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 300;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Light.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 400;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Regular.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 500;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Medium.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 600;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-SemiBold.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 700;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Bold.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 800;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-ExtraBold.ttf);
 }

 @font-face {
    font-family: 'Poppins';
    font-weight: 900;
    font-display: swap;
    src: url(../css/fonts/Poppins/Poppins-Black.ttf);
 }

 @font-face { 
     font-family: Elephant;
     src:url(../css/fonts/Elephant/Elephant.ttf) ;
 }


/* BASICS */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: 'Poppins', sans-serif;
    font-size: 62.5%;
    background-color: var(--color-light);
    color: var(--text-dark);
    scroll-behavior: smooth;
}

::selection {
    background: var(--color-main);
    color: var(--text-dark);
}

p {
    font-size: 1.8rem;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 3rem;
    margin-bottom: 2rem;
}


h3 {
    font-family: 'Elephant', serif;
    font-size: 3rem;
    font-weight: 300;
    padding: 0.5em 0;
    color: var(--color-accent);
    text-transform: lowercase;
}

ul, li {
    list-style: none;
}

a {
    text-decoration: none;
    color: var(--text-accent);
}

a:hover,
a:focus {
    color: var(--color-accent);
}

p > a {
    border-bottom: 1px solid var(--color-accent);
}

a.anchor {
    display: block;
    position: relative;
    top: -12em;
    visibility: hidden;
}

.btn {
    padding: 1em;
    font-size: 1.2rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: var(--color-accent);
    background-color: var(--color-main);
    box-shadow: 2px 2px 0px var(--color-accent);
    transition: 0.15s ease-in-out;
}

.btn:hover,
.btn:focus {
    box-shadow: -2px -2px 0px var(--color-accent);
}

.container {
    position: relative;
    width: 90%;
    max-width: 1000px;
    margin: 14em auto 0;
}

@media screen and (max-width: 750px) {

	.container {
		min-height: 100vH;
		margin: auto;
	}


}

.red {
    color: var(--color-accent)
}

.pink {
    color: var(--color-main)
}


/* IMAGES */


.image-one {
    height: 50vH;
    width: 100%;
    max-width: 100%;
    background-size: cover;
    background-position: center;
    background-image: url(../img/image-1.jpg);
    margin: 8em 0 0 0;
}

.image-two {
    height: 50vH;
    width: 100%;
    max-width: 100%;
    background-size: cover;
    background-position: top center;
    background-image: url(../img/image-2.jpg);
    margin: 8em 0 0 0;
}


/* HEADER */


.header {
    display: flex;
    position: fixed;
    width: 100%;
    max-height: 10vH;
    min-height: 10rem;
    z-index: 99;
	color: var(--text-light);
    background: transparent;
	transition: 0.6s;
}

.background {
	color: var(--text-dark);
    background: #ffffff;
  	max-height: 10vH;
}

.header-content {
    width: 100%;
    padding: 2em;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    width: 10em;
    height: 10em;
    background-image: url(../img/logo/tl-logo-white.svg);
    box-shadow: var(--img-border);
    background-size: cover;
    background-repeat: no-repeat;
    transition: 0.6s;
}

.logo-nav {
    display: none;
}

.nav-logo {
    display: none;
}

.logo img {
    width: 12em;
    margin-top: 0;
}

.logo-link {
	z-index: 999;
}

.color{
    background-image: url(../img/logo/tl-logo-red.svg);
	height: 10em;
    width: 10em;
    margin: 0;
}


@media screen and (max-width: 950px) {

	.logo {
		margin-left: -2rem;
	}

}

/* NAVIGATION */


.nav-list {
    display: flex;
}

.nav-link {
	position: relative;
    padding: 0.5em 1em;
    font-size: 1.8rem;
    font-weight: 300;
    letter-spacing: 2px;
    border-radius: 10em;
    z-index: 999;
}

.nav-link:hover,
.nav-link:focus {
    background-color: var(--color-main);
    color: var(--color-accent);
}

.nav-link::after {
  content: "";
  position: absolute;
  left: 1em;
  right: 1em;
  bottom: 6px;
  height: 1px;
  background: var(--color-main);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.6s 0.6s ease;
}

.nav-link.active::after {
  transform: scaleX(1);
  transform-origin: left;
}

.nav-link:not(.active)::after {
  transform: scaleX(0);
  transform-origin: right;
}

.sub-nav-link a {
    display: none;
}



@media screen and (max-width:950px) {

	.nav {
		position: fixed;
		height: 100vH;
		padding: 15vH 0;
		width: 100%;
		background: var(--color-main);
		transform: translateX(100%);
		transition: all cubic-bezier(0.65, 0.05, 0.35, 1) 0.4s;
		z-index: 99;
		top: 0;
		left: 0;
	}
	
	.open {
		transform: translateX(0%);
		transition: all cubic-bezier(0.65, 0.05, 0.35, 1) 0.4s;
	}

	.nav-list {
		display: flex;
		flex-direction: column;
		height: 45vH;
		justify-content: space-evenly;
		align-items: baseline;
	}
	
	.nav-link {
		padding: 0 2em;
	}
		
	.nav-link a {
		color: var(--color-accent);
		font-size: 4rem;
		font-weight: 700;
		text-transform: uppercase;
	}
	
	.sub-nav-link a {
		display: block;
		font-size: 2.5rem;
		font-weight: 700;
		text-transform: uppercase;
		margin: 0 0 0 3em;
	    color: var(--color-accent);
	}

}



/* HAMBURGER MENU */


.menu-toggle {
/*	position: fixed; */
    padding: 1.2em 0.6em;
    top: 10px;
    right: 7px;
    cursor: pointer;
    background: none;
    border: none;
    z-index: 999;
}
.menu-toggle:focus {
	outline: none;
}

.hamburger,
.hamburger::before,
.hamburger::after {
  content: '';
  display: block;
  background: var(--text-light);
  height: 2px;
  width: 2rem;
  border-radius: 2px;
  transition: all ease-in-out 0.4s;
}

.dark,
.dark::before,
.dark::after {
  background: var(--color-accent);
}


.hamburger::before {
  transform: translateY(-9px);
}
.hamburger::after {
  transform: translateY(7px);
}
.open .hamburger {
  transform: rotate(225deg);
  background: var(--color-accent);
}
.open .hamburger::before {
  opacity: 0;
}
.open .hamburger::after {
  transform: translateY(-2px) rotate(-90deg);
  background: var(--color-accent);
}


@media screen and (min-width:950px) {
	
	.menu-toggle {
		display: none;
	}	

}



/* GENERAL */


.section-divider {
    width: 100%;
    border-top: solid 2px var(--color-main);
    border-bottom: solid 2px var(--color-accent);
    margin: 4em auto;
    transform: rotate(-5deg);
	display: none;
}

.divider {
    width: 75%;
    border-top: solid 1px rgb(0 0 0 / 15%);
	margin: 6em auto 4em;
}

.space{
    margin: 4em 0 0 0;
}

.headline {
    color: var(--color-main);
    font-size: 8rem;
    text-transform: uppercase;
    line-height: 1em;
    margin: 0 0 -3rem 0;
    text-align: end;
    z-index: -1;
}

@media screen and (max-width: 750px) {

	.headline {
		font-size: 4rem;
		text-transform: uppercase;
		margin: 11rem 0 -2rem 0;
		text-align: end;
	}

}


/* WILLKOMMEN */


 .welcome {
    display: flex;
    height: 100vH;
}

.welcome-img {
	position: absolute;
	height: 100vH;
    width: 100%;
	background-image: url(../img/welcome-ol.jpg);
    background-size: cover;
    background-position: center;
	margin: auto;
    z-index: -1;
	box-shadow: var(--img-border);
 }
 
.welcome-container {
    position: relative;
    width: 90%;
    margin: 0 auto;
}
 
.welcome h1 {
    position: absolute;
    bottom: 4em;
    font-size: 2.5rem;
    font-weight: 300;
    color: var(--text-light);
    width: 22em;
    text-shadow: 0 0 2em rgb(0 0 0 / 75%);
}

.welcome h2 {
    position: absolute;
    bottom: 3em;
    font-size: 8rem;
    text-transform: lowercase;
    line-height: 0;
    color: var(--text-light);
    font-family: 'Elephant';
    font-weight: 300;
    text-shadow: 0 0 2em rgb(0 0 0 / 75%);
}
.subtext {
    font-weight: 200;
    max-width: 550px;
}

.btn-info {
    margin-top: 2em;
}

@media screen and (max-width: 900px) {

	.welcome-img {
		background-image: url(../img/welcome-mo.jpg);
	}

}

@media screen and (max-width: 700px) {

    .welcome h1 {
        font-size: 1.6rem;
        font-weight: 400;
        letter-spacing: 2px;
        line-height: 3rem;
        width: 34ch;
        bottom: 7em;
		}
		
	.welcome h2 {
			font-family: 'Elephant';
			font-size: 4rem;
			font-weight: 300;
			text-transform: lowercase;
			bottom: 6em;
		}

}


/* ABOUT */


.about {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    min-height: 100vH;
    background-color: var(--color-light);
    opacity: 1;
}

.about-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.about-50 {
    width: 50%;
}

.about-img {
    width: 48em;
    max-width: 80%;
    background-image: url(../img/about.jpg);
    background-size: cover;
    margin: 0 4em 2em 0;
    box-shadow: var(--img-border);
}

@media screen and (max-width: 900px) {

    .about-container {
        display: flex;
        flex-direction: column;
    }

    .about-50 {
        width: 100%;
    }

	.about-img {
		height: 50vH;
		width: 100%;
		max-width: 100%;
		background-image: url(../img/about.jpg);
		background-size: cover;
		margin: 2em auto 4em;
	}

    }


/* LEISTUNGEN */


.services {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    min-height: 100vH;
    background-color: var(--color-light);
}

.service-container {
    max-width: 800px;
    margin-bottom: 6em;
}

.service-items {
    display: grid;
    justify-content: center;
    align-content: center;
    margin: auto;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 2em;
}

.service-item {
	position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: baseline;
    width: 75%;
    margin: 0 auto 4em;
}

@media screen and (max-width: 900px) {

	.service-item {
		width: 100%;
	}

}

.service-links {
    display: flex;
    flex-direction: column;
	width: 100%;
}

.service-links h3 {
    letter-spacing: 0;
    margin-left: -14px;
    margin-bottom: -0.25em;
}

.service-title {
    display: flex;
	font-size: 4rem;
	margin: 0;
}

.service-list {
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 1px;
    background: rgb(252 205 213 / 25%);
    padding: 1em;
    margin: 2em 0;
}

.service-list li {
    margin-bottom: 1em;
    margin-left: 2em;
    text-indent: -1em;
}
.service-list i {
    margin-right: 1em;
}

.level-two {
    padding-left: 3rem;
}

.btn-services {
    display: inline-block;
    border-radius: 0px;
    background-color: var(--color-light);
    border: 1px solid var(--color-accent);
    font-weight: 400;
    margin: 2em 0 0 auto;
    padding: 1em;
}

.btn-services:hover,
.btn-services:focus {
    background-color: var(--color-main);
}


.img-item {
    width: 200px;
    aspect-ratio: 1;
    object-fit: cover;
}

.btn-item {
	padding: 14px;
    font-size: 1.4rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: var(--text-accent);
    background-color: transparent;
    margin-top: -1.5em;
    border-bottom: 1px solid var(--color-accent);
	transition: 0.2s;
}

.btn-item:hover,
.btn-item:focus {
	letter-spacing: 3px;
}


/* ACCORDION */


.acc {
	max-width: 100%;
}

.acc-header {
	display: flex;
    width: 100%;
	padding: 14px;
	border-bottom: 1px solid var(--color-accent);
	cursor: pointer;
	justify-content: space-between;
	align-items: center;
}

.acc-header > i {
	transform: rotate(0deg);
    transition: 0.6s;
}

.expanded > i {
	transform: rotate(180deg);
}

.acc-header h4 {
	font-size: 1.4rem;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: 0.2s;
}

.acc-header:hover > h4,
.acc-header:focus > h4 {
	letter-spacing: 3px;
	color: var(--color-accent);
}

.acc-icon {
    font-size: 1.4rem;
    color: var(--color-accent);
}

.acc-content {
	display: none;
	border-bottom: 1px solid var(--color-main);
	padding: 1.5rem;
}

.acc-content p {
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 3rem;
    margin: 1em 0;
}

.acc-content li:last-of-type {
  padding-bottom: 0;
  margin-bottom: 0;
}

.doulary-img {
    width: 100%;
    margin: 2em 0;
}


/* KURSE */


.kurse {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: 100vH;
    background-color: var(--color-light);
}

.container-kurse {
    padding: 0;
    margin: 5em auto;
    text-transform: none;
}

.kurs {
    display: flex;
    flex-direction: column;
    margin: 4em auto 4em 0;
    border-left: 2px solid var(--color-accent);
    padding: 0 0 0 3em;
    width: 500px;
}

@media screen and (max-width: 700px) {

	.kurs {
		width: 100%;
      	padding: 0 0 0 2em;
	}

}


.headline-kurse {
    padding: 0;
    margin: 2em 0 1em;
}

.headline-kurse span {
		background-color: var(--color-main);
}

.kurs-title {
    font-size: 2rem;
    margin: 1em 0 0.5em 0;
}

.kurs-description {
	font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 2rem;
    margin-bottom: 0;
}

.kurs-info {
    background: var(--color-main);
    color: var(--color-accent);
    text-transform: uppercase;
    padding: 0 4px;
    border: none;
}

.kurs-extra {
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 2rem;
    margin-bottom: 0;
}

.kurs-list {
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 2.5rem;
    margin-top: 2.5em;
    background: #d6121710;
    padding: 2rem;
    border-radius: 2rem;
}

.kurs-list-title {
    font-weight: 600;
}

.kurs-list i {
	margin-right: 1em;
}

.kurs-btn {
    display: flex;
    width: fit-content;
    padding: 1em 2em;
    margin: 3em 0 3em 1em;
}

.full {
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    color: var(--color-light);
    background: var(--color-accent);
    padding: 0 1rem 0 0.75rem;
    border-radius: 2em;
    margin: 1.25rem -0.5rem 0;
}
.full::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 400;
    content: "\f111";
    margin-right: 1rem;
  }
.full::after {
    content: 'Ausgebucht';
}

.half {
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    color: var(--color-accent);
    background: var(--color-main);
    padding: 0 1rem 0 0.75rem;
    border-radius: 2em;
    margin: 1.25rem -0.5rem 0;
}
.half::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f042";
    margin-right: 1rem;
  }
.half::after {
    content: 'Wenige Plätze verfügbar';
}

.free {
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    color: var(--color-accent);
    padding: 0 1rem 0 0.75rem;
    border-radius: 2em;
    margin: 1.25rem -0.5rem 0;
    box-shadow: inset 0px 0px 0px 1px var(--color-accent);
}
.free::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 400;
    content: "\f111";
    margin-right: 1rem;
  }
.free::after {
    content: 'Plätze verfügbar';
}

.img-studio {
	display: flex;
    margin: auto;
    max-width: 80%;
}

.image-divider {
    display: flex;
    width: 100%;
    background-color: var(--color-accent);
    box-shadow: 0 -4px 0 var(--color-main);
}



/* KONTAKT */


.contact {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: 85vH;
    background-color: var(--color-light);
}

.contact-links {
    display: flex;
	flex-direction: column;
    align-items: center;
}

.contact-link {
    display: flex;
    margin: auto;
    width: 80%;
    max-width: 500px;
    padding: 10px;
    justify-content: left;
    align-items: center;
}

.contact-icon {
    font-size: 4rem;
    color: var(--color-accent);
    width: 60px;
    text-align: center;
}

.contact-text a {
    color: var(--color-main);
    font-size: 3rem;
    width: fit-content;
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0 0 1em;
    font-weight: 800;
    text-transform: uppercase;
    transition: 0.4s;
}

@media screen and (max-width: 900px) {

	.contact-link {
		flex-direction: column;
	}

	.contact-text a {
		font-size: 2rem;
		margin: -1em 0 0 0;
	}

}

.contact-text:hover a {
    color: var(--color-accent);
}



/* FOOTER */


.footer-top {
    width: 100%;
    min-height: 25vH;
    transform: skewY(-5deg);
    background-color: var(--color-accent);
    color: var(--text-light);
    margin-top: -15vH;
    box-shadow: 0px -4px 0 var(--color-main);
}

.footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 15vH;
	color: var(--text-dark);
}

.footer p,
.footer a {
    font-size: 1.4rem;
    margin: 0;
    font-weight: 300;
    letter-spacing: 2px;
    border: none;
}


/* SERVICES MICROSITES */


 .service-microsite {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: 100vH;
}

.headline-microsite {
    color: var(--color-main);
    font-size: 8rem;
    text-transform: uppercase;
    margin-bottom: -3rem;
    text-align: end;
    z-index: -1;
    line-height: 1em;
}

@media screen and (max-width: 750px) {

	.headline-microsite {
		font-size: 4rem;
		text-transform: uppercase;
		margin: 12rem 0 4rem 0;
		text-align: end;
	}

}

.subline-microsite {
    text-transform: none;
    text-align: right;
    margin: 1em 0;
    font-size: 3rem;
}

.btn-back {
    margin: 1em;
    padding: 1em 2.5em;
}

@media screen and (max-width: 700px) {

	.btn-back {
		margin: 1em 2px;
		padding: 1em 2.5em;
	}

}

.btn-back:hover,
.btn-back:focus {
	color: var(--color-accent);
    background-color: var(--color-main);
    box-shadow: -2px -2px 0px var(--color-accent);
}

.btn-contact {
    display: inline-block;
    margin: 2em 0 6em 0;
}

.btn-contact:hover,
.btn-contact:focus {
	color: var(--color-accent);
    background-color: var(--color-main);
}

.img-service {
    height: 50vH;
    width: 100%;
    max-width: 100%;
    background-size: cover;
    background-position: center;
    margin: 4em auto;
}


/* DOULA */

.img-doula-1 {
    background-image: url(../img/doula-1.jpg);
    margin: 4em 0px;
}

.img-doula-2 {
    background-image: url(../img/doula-2.jpg);
    margin: 4em 0px;
}


/* MUTTERPFLEGE */

.img-mutterpflege {
    background-image: url(../img/mutterpflege.jpg);
}


/* BABYMASSAGE */

.img-babymassage {
	background-image: url(../img/babymassage-2.jpg);
 }
 

 /* JUST BIRTH */

.img-justbirth {
	background-image: url(../img/justbirth.jpg);
 }


/* HYPNOBIRTHING */

.img-hypno {
	background-image: url(../img/hypnobirthing.jpg);
 }
 
 
/* BABYS CIRCLE */

.img-circle {
	background-image: url(../img/circle.jpg);
 }


/* BLESSING WAY */

.img-blessing {
	background-image: url(../img/blessing.jpg);
 }


/* IMPRESSUM & DATENSCHUTZ */


.impressum-title {
    font-family: 'Elephant';
    text-transform: lowercase;
    font-size: 1.8rem;
    font-weight: 300;
    color: var(--color-accent);
    margin: 2em 0 0.5em;
}

.impressum p {
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 2rem;
    padding: 0 2rem;
}

.impressum p span {
    color: var(--color-accent);
    font-weight: 400;
}

.impressum a {
	border-bottom: none;
}

.impressum-headline {
    color: var(--color-main);
    font-size: 3rem;
    text-transform: uppercase;
    margin: 0;
    text-align: center;
}

.datenschutz-list {
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 1px;
    background: rgb(252 205 213 / 25%);
    padding: 1em;
}

.datenschutz-list li {
    margin-bottom: 1em;
    margin-left: 2em;
    text-indent: -1em;
}

.datenschutz-list i {
    margin-right: 1em;
}

.datenschutz-list span {
    color: var(--color-accent);
    font-weight: 600;
}

.datenschutz-center {
    text-align: center;
}

.datenschutz-divider {
    width: 75%;
    border-top: solid 1px rgb(0 0 0 / 15%);
    margin: 4em auto 4em;
}


